﻿using EDPlayerJournal;
using EDPlayerJournal.BGS;
using System.Linq;

namespace EliteBGS.LogGenerator;

public class SearchAndRescueFormat : GenericFormat<SearchAndRescue> {
    public override string GenerateSummary(Objective objective) {
        long profit = objective
            .EnabledOfType<SearchAndRescue>()
            .Sum(x => x.Count)
            ;
        if (profit <= 0) {
            return "";
        }
        return string.Format("S&R: {0}t", profit);
    }
}
